package QEMU::Manager::Device::Disk;


use strict;
use warnings;

use base qw(QEMU::Manager::Device);

use Net::DBus::Exporter qw(com.redhat.qemu.manager.device.Disk);


dbus_method("get_image", [], ["string"]);
sub get_image {
    my $self = shift;
    return $self->get_config("image", "/dev/null");
}


dbus_method("set_image", ["string", "caller"]);
sub set_image {
    my $self = shift;
    my $image = shift;
    my $caller = shift;
    $self->set_config("image", $image, $caller);
}



1;

